# @testream/upload-action

Upload test results to Testream from any CI provider (CLI + GitHub Action). It bridges your CI runs to Jira.

- **Docs:** https://testream.github.io/docs/ci-integrations/setup
- **Docs repository:** https://github.com/testream/docs

## Quick Start (GitHub Actions)

```yaml
- name: Upload to Testream
  if: always()
  uses: testream/upload-action@v0.4.1
  with:
    report-path: ctrf/ctrf-report.json
    project-key: ${{ secrets.TESTREAM_PROJECT_KEY }}
    api-key: ${{ secrets.TESTREAM_API_KEY }}
```

## Quick Start (CLI)

```bash
npx @testream/upload-action \
  --report-path ctrf/ctrf-report.json \
  --project-key PROJ \
  --api-key $TESTREAM_API_KEY
```

For full configuration options, see https://testream.github.io/docs/ci-integrations/setup.
